Page MenuHomePhabricator

Decommision MobileWebMainMenuClickTracking
Closed, ResolvedPublic2 Story Points

Description

NOTE: The menu code is currently inactive due to a bug in a refactor. https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/526553 Restore MobileWebMainMenuClickTracking logging (old way) restores it. It's not clear if we want to restore it yet.

In T220016: Create, and deploy working MobileWebUIActionsTracking schema we introduced new schema to track user actions on mobile web. Once new MobileWebUIActionsTracking schema gets stable and Analytics department is happy with it, we should remove the old MobileWebMainMenuClickTracking schema and all instrumentation code written for it.

Developer notes

During T220016: Create, and deploy working MobileWebUIActionsTracking schema we made a patch to remove all code related to MobileWebMainMenuClickTracking, but before train cut we decided to postpone deploying code removal as we decided keep both schemas live for some short period of time. We reverted the change. This ticked is made to solely track revert of revert once Analytics is happy with new schema.

AC

Event Timeline

pmiazga created this task.Jul 22 2019, 6:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2019, 6:00 PM
pmiazga updated the task description. (Show Details)Jul 22 2019, 6:04 PM

Change 524841 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Remove all main_menu tracking related code.""

https://gerrit.wikimedia.org/r/524841

Jdlrobson triaged this task as High priority.Jul 22 2019, 8:06 PM
Jdlrobson added a subscriber: Jdlrobson.

high because we will currently be loading 2 sets of analytics and shipping needless bytes to users.

Jdlrobson set the point value for this task to 1.Jul 30 2019, 4:14 PM
Jdlrobson changed the point value for this task from 1 to 2.
pmiazga updated the task description. (Show Details)Jul 30 2019, 4:15 PM
pmiazga changed the point value for this task from 2 to 1.
Jdlrobson changed the point value for this task from 1 to 2.Jul 30 2019, 4:17 PM

(1 =XS, 2=S, 3=M, 5=L, 8=XL)

Jdlrobson updated the task description. (Show Details)Jul 30 2019, 10:42 PM
phuedx updated the task description. (Show Details)Jul 31 2019, 5:05 PM
Jdlrobson lowered the priority of this task from High to Normal.EditedJul 31 2019, 8:07 PM
Jdlrobson added a subscriber: MNeisler.

We're waiting on go ahead from @MNeisler that this is okay this can move to todo. We're shipping unnecessary code to users so best to remove that as early as possible.

A quick cleanup will also be necessary in mediawiki-config.

Change 524841 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove all main_menu tracking related code.""

https://gerrit.wikimedia.org/r/524841

We're waiting on go ahead from @MNeisler that this is okay this can move to todo. We're shipping unnecessary code to users so best to remove that as early as possible.

I did some checks on the new schema to confirm it was working as expected. Everything looks good so far so I think we can go ahead and remove the old schema.

Jdlrobson updated the task description. (Show Details)Aug 2 2019, 7:00 PM
Jdlrobson updated the task description. (Show Details)

Change 527615 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Remove unused remnant from old menu click tracking

https://gerrit.wikimedia.org/r/527615

phuedx added a subscriber: phuedx.

@Jdlrobson's change above will need to be merged, deployed to the Beta Cluster, and deployed to the production servers. Since we're confident that this is effectively a NOOP change (the new instrumentation is working as expected – see T228681#5388069 above), the change can be deployed at any time provided that this is communicated in #wikimedia-operations.

phuedx updated the task description. (Show Details)Aug 5 2019, 8:58 AM
phuedx updated the task description. (Show Details)
phuedx updated the task description. (Show Details)Aug 5 2019, 9:00 AM
pmiazga added a comment.EditedAug 5 2019, 10:18 AM

To play it safe, I think that config change should be deployed after rSMIN8d703b7758d4: Remove all main_menu tracking related code."" gets deployed to all wikis. We had couple problems with this task, also, the old schema has some magic that tracks all AMC users, but only wgMinervaSchemaMainMenuClickTrackingSampleRate of non-amc users.

It shouldn't be a problem to postpone deploying the config cleanup to Thursday or next week once wmf.17 is live verywhere.
If everyone agrees, I'll assign this task to myself, and SWAT it once wmf.17 is live.

Change 527615 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove unused remnant from old menu click tracking

https://gerrit.wikimedia.org/r/527615

Mentioned in SAL (#wikimedia-operations) [2019-08-20T23:16:39Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 0c08257: Remove unused remnant from old menu click tracking (T228681) (duration: 00m 55s)

pmiazga updated the task description. (Show Details)Wed, Aug 21, 5:06 PM
phuedx closed this task as Resolved.Thu, Aug 22, 11:42 AM
phuedx claimed this task.